import { useQuery } from '@tanstack/react-query';

import { regionsQueryKeys } from '../regions-query-keys';
import { regionsApi, type PostGetRegionsQeReturn } from '../regions-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetRegionQeQuery = (
  megaregion: number | undefined,
  country: number | undefined,
  token: string,
  enabled: boolean
) => {
  return useQuery<PostGetRegionsQeReturn, BaseAxiosError>({
    queryKey: regionsQueryKeys.getRegionsQe(token, megaregion, country),
    queryFn: async () => {
      const response = await regionsApi.getRegionsQe(token, megaregion, country);
      return response.data;
    },
    enabled
  });
};
